package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAG2 extends MwfRequest<MWFAG2, MWFAG2Response> {

    @Parameter(name = "INAPPL")
    MWFAG2 inappl(Long inappl);
    @Parameter(name = "INBANK")
    MWFAG2 inbank(Long inbank);
    @Parameter(name = "INCNBR")
    MWFAG2 incnbr(String incnbr);
    @Parameter(name = "INCURSOR")
    MWFAG2 incursor(Long incursor);
    @Parameter(name = "INROWS")
    MWFAG2 inrows(Long inrows);
    @Parameter(name = "INSTAT")
    MWFAG2 instat(String instat);
}
